com.sun.jdi

## Class InconsistentDebugInfoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jdi.InconsistentDebugInfoException

- All Implemented Interfaces:
    Serializable

      public class InconsistentDebugInfoException
      extends RuntimeException

  Thrown to indicate that there is an inconistency in the debug information provided by the target VM. For example, this exception is thrown if there is a type mismatch between a retrieved value's runtime type and its declared type as reported by the target VM.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InconsistentDebugInfoException()`
    `InconsistentDebugInfoException(String s)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InconsistentDebugInfoException

          public InconsistentDebugInfoException()

    - #### InconsistentDebugInfoException

          public InconsistentDebugInfoException(String s)

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.